/* MDIFILEA.CLS  - This class contains all necessary
  methods to initialize an MDI File Window application.
  It can be used to seal off the MDI File Window
  classes and create a stand alone application. */!!

inherit(Application, #MDIFileApp, nil, 2, nil)!!

now(class(MDIFileApp))!!

/* Remove unwanted Globals and Classes that are
  part of the Actor development environment. */
Def removeActor(self)
{ do(#(ClassList MethodList VarList ClVarDialog
    ClassDialog DebugDialog DirtyCLD SealDialog
    AboutWindow WorkWindow
    ToolWindow Browser MethodBrowser DebugWindow
    Inspector BrowEdit DBBrowEdit DebugEdit WorkSpace),
  {using(g) removeGlobal(self, g);
  });
}!!

now(MDIFileApp)!!

/* Create and show the application mainWindow
   Load a data file, if necessary. */
Def init(self, cmdLine)
{ init(self:ancestor, cmdLine);
  mainWindow := newMain(MDIFileFrame, "FileEditMenu", "File Editor", nil);
  show(mainWindow, CmdShow);
}!!
